org.keycloak.federation.ldap

## Class LDAPConfig

- java.lang.Object
- - org.keycloak.federation.ldap.LDAPConfig

-     public class LDAPConfig
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPConfig(Map<String,String> config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Properties` | `getAdditionalConnectionProperties()`
    `String` | `getAuthType()`
    `int` | `getBatchSizeForSync()`
    `String` | `getBindCredential()`
    `String` | `getBindDN()`
    `String` | `getConnectionPooling()`
    `String` | `getConnectionUrl()`
    `String` | `getCustomUserSearchFilter()`
    `UserFederationProvider.EditMode` | `getEditMode()`
    `String` | `getFactoryName()`
    `String` | `getRdnLdapAttribute()`
    `int` | `getSearchScope()`
    `String` | `getUsernameLdapAttribute()`
    `Collection<String>` | `getUserObjectClasses()`
    `String` | `getUsersDn()`
    `String` | `getUseTruststoreSpi()`
    `String` | `getUuidLDAPAttributeName()`
    `String` | `getVendor()`
    `boolean` | `isActiveDirectory()`
    `boolean` | `isPagination()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPConfig

          public LDAPConfig(Map<String,String> config)

  - ### Method Detail

    - #### getConnectionUrl

          public String getConnectionUrl()

    - #### getFactoryName

          public String getFactoryName()

    - #### getAuthType

          public String getAuthType()

    - #### getUseTruststoreSpi

          public String getUseTruststoreSpi()

    - #### getUsersDn

          public String getUsersDn()

    - #### getUserObjectClasses

          public Collection<String> getUserObjectClasses()

    - #### getBindDN

          public String getBindDN()

    - #### getBindCredential

          public String getBindCredential()

    - #### getVendor

          public String getVendor()

    - #### isActiveDirectory

          public boolean isActiveDirectory()

    - #### getConnectionPooling

          public String getConnectionPooling()

    - #### getAdditionalConnectionProperties

          public Properties getAdditionalConnectionProperties()

    - #### getSearchScope

          public int getSearchScope()

    - #### getUuidLDAPAttributeName

          public String getUuidLDAPAttributeName()

    - #### isPagination

          public boolean isPagination()

    - #### getBatchSizeForSync

          public int getBatchSizeForSync()

    - #### getUsernameLdapAttribute

          public String getUsernameLdapAttribute()

    - #### getRdnLdapAttribute

          public String getRdnLdapAttribute()

    - #### getCustomUserSearchFilter

          public String getCustomUserSearchFilter()

    - #### getEditMode

          public UserFederationProvider.EditMode getEditMode()

Copyright © 2016 JBoss by Red Hat. All rights reserved.